Subject: Re: Null Modem Question
From: Andrew McDonald <[email-masked]>
Date: Wed, 27 Aug 1997 10:43:20 +1000
Newsgroups: comp.sys.apple2

Cary Guy wrote:
> 
> I'm trying to transfer files from my PC to my Apple //e and can't seem
> to get it to work.  I was wondering if possibly I'm using the wrong
> cable.  I'm using a standard PC serial cable to connect the two
> machines.  If this is the wrong thing to do, could some benevolent soul
> be persuaded send me the pinouts for both ends of the cable so that I
> can rewire it?
> 
> thanks,
> 
> -cary

What you need there Cary is a null modem cable/ null modem adapter.  A
standard serial cable won't work.  A null modem cable often LOOKS no
different from a standard serial, however the receive data pin on one
end is connected to the send data on the other end and vice versa.

I copied this from http://www.teletechnics.com/cable_null.html
(Didn't see the point of doing it myself considering how many times this
has been already done on the net)

25 pin D to 25 pin D

SIGNAL  PIN No.            PIN No.
  FG      1 ---------------- 1           1 to 1
  TD      2 -------\/------- 2           2 to 3
  RD      3 -------/\------- 3           3 to 2
  RTS     4 -------\/------- 4           4 to 5
  CTS     5 -------/\------- 5           5 to 4
  DSR     6 --|          |-- 6           6 & 8 to 20
  SG      7 --+----------+-- 7           7 to 7
  DCD     8 ------\/------ 8           see 6
  DTR    20 -------/\------- 20          20 to 6 & 8

9 pin D to 9 pin D

PIN No.          PIN No.
  2 ------\/------ 2           2 to 3
  3 ------/\------ 3           3 to 2
  4 -----\  /----- 4           4 to 6
  5 -------------- 5           5 to 5
  6 -----/  \----- 6           6 to 4
  7 ------\/------ 7           7 to 8
  8 ------/\------ 8           8 to 7
 Case ---------- Case

Also described as such:
        Connector 1 to  Connector 2
           DTR             DSR/DCD
           DSR/DCD         DTR
           RTS             CTS
           CTS             RTS
           TXD             RXD
           RXD             TXD
           GND             GND

25 pin D to 25 pin D - alternative when 2 computers are both DTE

SIGNAL  PIN No.            PIN No.
  FG      1 ---------------- 1           1 to 1
  TD      2 -------\/------- 2           2 to 3
  RD      3 -------/\------- 3           3 to 2
  RTS     4 -----\    /----- 4           4 & 5 to 8
  CTS     5 ------\  /------ 5           see 4
  DSR     6 ------\\//------ 6           6 to 20
  SG      7 ---------------- 7           7 to 7
  DCD     8 ------//\\------ 8           8 to 4 & 5
  DTR    20 ------/  \------ 20          20 to 6

-- 
Andrew McDonald                 [email-masked]
TECHNICAL SUPPORT          Why do people who know the least 
ACCESS ONE			know it the loudest?